ML Prep API (v1)
Download OpenAPI description
Languages
Servers
Mock server
http://{{your_prep_ip_address}}/
- Mock server
http://{{your_prep_ip_address}}/api/v1/protocol-run/submit-hit-pick-file
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
'http://{{your_prep_ip_address}}/api/v1/protocol-run/submit-hit-pick-file' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"protocolId": 0,
"stepId": 0,
"fileName": "string",
"fileContents": "string"
}'- Mock server
http://{{your_prep_ip_address}}/api/v1/protocol-run/submit-reagent-from-file-file
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
'http://{{your_prep_ip_address}}/api/v1/protocol-run/submit-reagent-from-file-file' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"protocolId": 0,
"stepId": 0,
"fileName": "string",
"fileContents": "string"
}'- Mock server
http://{{your_prep_ip_address}}/api/v1/protocol-run/submit-barcodes
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
'http://{{your_prep_ip_address}}/api/v1/protocol-run/submit-barcodes' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"protocolId": 0,
"barcodes": [
{
"deckPosition": 0,
"address": {
"row": 0,
"column": 0
},
"barcodeValue": "string"
}
]
}'